slepc-3.10.1 2018-10-23
Report Typos and Errors

# DSTruncate

Truncates the system represented in the DS object.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSTruncate(DS ds,PetscInt n)

Logically Collective on DS

### Input Parameters

| ds | - the direct solver context
| n | - the new size

### Note

The new size is set to n. In cases where the extra row is meaningful, the first n elements are kept as the extra row for the new system.

### See Also

DSSetDimensions(), DSSetExtraRow(), DSStateType

Location: src/sys/classes/ds/interface/dsops.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages